## Event Form

Required Imports
``
Required Styles (angular.json)
``
Import LibEventFormModule and include the Google API keys needed for the location autocomplete.
``

Common Input & Output Properties

Type | Name | Data Type | Description | default | Required
--- | --- | --- | --- | --- | ---
Input | event | `` | a new or an existing event instance | null | true
Input | loading$ | `` | This handles the loader visibility (show/hide). | null | true
Output | delete | `` | Event emit on delete action |  |
Output | submitForm | `` | Event emit on submitting the form |  |
Output | closeForm | `` | Event emit on closing the form |  |

Open Event Form
Usage
``